Skip to main content
GET
/
v3
/
developer
/
oauth-billing
/
charges
List developer OAuth billing charges
curl --request GET \
  --url https://api.scalev.com/v3/developer/oauth-billing/charges \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "captured_at": "2023-11-07T05:31:56Z",
      "billing_tag": "<string>",
      "billing_idempotency_key": "<string>",
      "action_key": "<string>",
      "gross_amount": 123,
      "platform_fee_bps": 123,
      "platform_fee_amount": 123,
      "developer_net_amount": 123,
      "currency": "<string>",
      "reservation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "request_id": "<string>",
      "metadata": {},
      "capture_context": {
        "application_id": 123,
        "application_name": "<string>",
        "billing_tag": "<string>",
        "action_key": "<string>",
        "action_label": "<string>",
        "reservation_id": "<string>",
        "charge_id": "<string>",
        "request_id": "<string>",
        "billing_idempotency_key": "<string>",
        "merchant_business_id": 123,
        "developer_business_id": 123,
        "oauth_authorized_business_id": 123,
        "gross_amount": 123,
        "platform_fee_amount": 123,
        "developer_net_amount": 123,
        "currency": "<string>",
        "response_status": 123
      },
      "oauth_application_id": 123,
      "oauth_authorized_business_id": 123,
      "merchant_business_id": 123,
      "developer_business_id": 123
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

Cursor page size.

Required range: x >= 1
next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

oauth_application_id
integer

Filter by OAuth application ID.

oauth_authorized_business_id
integer

Filter by OAuth authorized business/install ID.

merchant_business_id
integer

Filter by merchant business ID.

billing_tag
string

Filter by OAuth billing tag.

action_key
string

Filter by OAuth billing action key.

billing_idempotency_key
string

Filter by billing idempotency key.

request_id
string

Filter by machine API request ID.

Response

OAuth billing charge collection

Paginated list payload for v3.

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
true
Example:

true

has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer